import _sfc_main$1 from "./AppLayout.a3266dbc.js";
import { b as defineComponent, a5 as useRoute, x as resolveComponent, f as openBlock, v as createBlock, B as withCtx, w as createVNode, T as Transition, s as resolveDynamicComponent, Z as unref } from "./vendor.f66678d1.js";
import "./VButton.5eb13628.js";
import "./plugin-vue_export-helper.5a098b48.js";
import "./VIconButton.c168ac96.js";
import "./index.62345777.js";
import "./IsotipoMozoOficial.e494f74f.js";
import "./VAvatar.d504d8aa.js";
import "./VControl.fa2cc2e9.js";
import "./VField.6de78c36.js";
import "./VModal.d8055fb2.js";
import "./VDropdown.765cfd1c.js";
import "./VIcon.b97ff747.js";
import "./masterService.7663a99b.js";
import "./navbarLayoutState.c5dd25b0.js";
var block0 = {};
const _sfc_main = /* @__PURE__ */ defineComponent({
  setup(__props) {
    const route = useRoute();
    return (_ctx, _cache) => {
      const _component_RouterView = resolveComponent("RouterView");
      const _component_AppLayout = _sfc_main$1;
      return openBlock(), createBlock(_component_AppLayout, null, {
        default: withCtx(() => [
          createVNode(_component_RouterView, null, {
            default: withCtx(({ Component }) => [
              createVNode(Transition, {
                name: "fade-fast",
                mode: "out-in"
              }, {
                default: withCtx(() => [
                  (openBlock(), createBlock(resolveDynamicComponent(Component), {
                    key: unref(route).fullPath
                  }))
                ]),
                _: 2
              }, 1024)
            ]),
            _: 1
          })
        ]),
        _: 1
      });
    };
  }
});
if (typeof block0 === "function")
  block0(_sfc_main);
export { _sfc_main as default };
